Bug 115204 - Upon successful search from "man -k", man exits with non-zero value
Upon successful search from "man -k", man exits with non-zero value
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: man (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-08 14:43 EST by Glen A. Foster
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: 1.5m2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-09 21:04:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2004-02-08 14:43:02 EST
Description of problem: It's a nit, admittedly but man(1) invoked with
the -k flag will exit non-zero even when it finds 1or more appropriate
entries.  This does not correspond to the general rule of a command
exiting with a value of 0 upon success.  

Version-Release number of selected component (if applicable):
# rpm -q man
man-1.5k-10

How reproducible: 100% (always) on RHEL3U1 and RHL9

Steps to Reproduce:
1. man -k passwd > OUT 2> ERR
2. echo $?
3. ls -l OUT ERR
  
Actual results: note that man -k exit-value is 1 (by convention,
signifying there was an error) but ERR is empty and if you run "grep
-v passwd OUT" there are no error messages printed to stdout,
either... e.g., nothing but matches (success) yet exit-value != 0

Expected results: zero exit value upon success

Note You need to log in before you can comment on or make changes to this bug.